%define ver_major 2.22

Name: gucharmap
Version: %ver_major.1
Release: alt1.qa1

Summary: gucharmap is a featureful Unicode character map
License: %gpl2plus
Group: Text tools

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

# From configure.ac
%define gtk_ver 2.12.0
%define libgnome_ver 2.13.7
%define libgnomeui_ver 2.13.2
%define gnome_common_ver 2.8.0

Requires: lib%name = %version-%release

Requires(post): GConf2

BuildPreReq: rpm-build-gnome rpm-build-licenses
# From configure.ac
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-common >= %gnome_common_ver
BuildPreReq: gnome-doc-utils >= 0.9.0
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libGConf-devel GConf

BuildRequires: gcc-c++ gnome-doc-utils python-modules-compiler perl-XML-Parser 

%description
This package provides a featureful Unicode character map for GNOME2.

%package -n lib%name
Summary: Shared library needed to run %name
Group: System/Libraries
License: %lgpl2plus

%description -n lib%name
This package provides shared library for programs that show character maps
(including Gucharmap and a character map applet for the GNOME panel).

%package -n lib%name-devel
Summary: Development files for lib%name
License: %lgpl2plus
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains headers and libraries needed to compile
applications against lib%name

%prep
%setup -q

%build
%autoreconf
%configure \
    --disable-scrollkeeper \
    --disable-static \
    --enable-gconf \
    --disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %name

%postun -n gucharmap
%clean_menus


%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%post -n lib%name
%post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%_liconsdir/*
%config %gconf_schemasdir/%name.schemas
%doc ChangeLog README TODO COPYING COPYING.UNICODE

%files -n lib%name
%_libdir/*.so.*
%doc COPYING.LIB

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.22.1-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gucharmap

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- New version (2.22.1).

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- New version (2.22.0).

* Wed Dec 19 2007 Alexey Rusakov <ktirf@altlinux.org> 1.10.1-alt1
- New version (1.10.1).
- Use license macro.
- Added license files to the packages (notably, COPYING.UNICODE).

* Sun Jul 15 2007 Alexey Rusakov <ktirf@altlinux.org> 1.10.0-alt1
- new version (1.10.0)
- updated dependencies
- spec cleanup

* Fri Sep 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.8.0-alt1
- new version 1.8.0
- updated dependencies
- removed ALL_LINGUAS fix, as it's not needed anymore.
- removed scrollkeeper workaround in the specfile.

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.6.0-alt2
- new version
- fixed ALL_LINGUAS initialization.
- should also build on x86_64.

* Sat Apr 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.6.0-alt1
- new version 1.6.0 (with rpmrb script)

* Mon Feb 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.3-alt1
- new version (1.5.3)
- updated dependencies, cleaned up the spec
- removed Debian menu stuff

* Tue Jan 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.1-alt1
- new version

* Sun Jan 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.0-alt2
- updated dependencies due to X.org 7.0.
- use %%__autoreconf instead of auto-bundle.

* Sat Jan 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.0-alt1
- new version

* Fri Oct 07 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.4.4-alt2
- Fixed a group of the menu item (Bug #4426).

* Sun Sep 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt1
- 1.4.3

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.2-alt1
- 1.4.2

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.1-alt0.5
- 1.4.1

* Thu Mar 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.1-alt0.5
- 1.3.1

* Sun Dec 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt0.5
- 1.2.0
- do not package .la files.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5
- 1.0.0

* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5
- 0.9.0

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.5
- 0.8.0

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- First build for Sisyphus.

